import { Component } from '@angular/core';
import { Router,ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';

@Component({
  selector: 'app-roadassistance',
  templateUrl: './roadassistance.page.html',
  styleUrls: ['./roadassistance.page.scss'],
})
export class RoadassistancePage {

  constructor(
    private router: Router,
    private route: ActivatedRoute,
    private location: Location
  ) { }

  goToPage(path,data=null){
    this.router.navigateByUrl(path,{queryParams:data});
    document.body.scrollTop = document.documentElement.scrollTop = 0;
  }

  goBack() {
    this.location.back();
  }

}
